# Deprecated API

## Contents

- Interfaces
- Methods

Interfaces
com.databend.jdbc.FileTransferAPI

Methods
com.databend.jdbc.FileTransferAPI.copyIntoTable​(String, String, DatabendCopyParams): execute the Copy SQL directly
com.databend.jdbc.FileTransferAPI.downloadStream​(String, String, boolean): Replaced by DatabendConnection.downloadStream() since version 4.0.1
com.databend.jdbc.FileTransferAPI.uploadStream​(String, String, InputStream, String, long, boolean): Replaced by DatabendConnection.uploadStream() since version 4.0.1